/**
 * Copyright (c) 2015 - 2018, Nordic Semiconductor ASA
 * 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 * 
 * 2. Redistributions in binary form, except as embedded into a Nordic
 *    Semiconductor ASA integrated circuit in a product or a software update for
 *    such product, must reproduce the above copyright notice, this list of
 *    conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 * 
 * 3. Neither the name of Nordic Semiconductor ASA nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 * 
 * 4. This software, with or without modification, must only be used with a
 *    Nordic Semiconductor ASA integrated circuit.
 * 
 * 5. Any software provided in binary form under this license must not be reverse
 *    engineered, decompiled, modified and/or disassembled.
 * 
 * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
#include "nrf_drv_spi.h"
#include "app_util_platform.h"
#include "nrf_gpio.h"
#include "nrf_delay.h"
#include "boards.h"


int main(void)
{
    uint8_t last_valid_cmd[32] = {0};
    
    //Start 16 MHz crystal oscillator
    NRF_CLOCK->EVENTS_HFCLKSTARTED = 0U;
    NRF_CLOCK->TASKS_HFCLKSTART    = 1U;
    while (NRF_CLOCK->EVENTS_HFCLKSTARTED == 0);           // Wait for the external oscillator to start up

    // start intern 32K clk
    NRF_CLOCK->EVENTS_LFCLKSTARTED = 0U;
    NRF_CLOCK->TASKS_LFCLKSTART    = 1U;
    while (NRF_CLOCK->EVENTS_LFCLKSTARTED == 0U);

    NRF_CLOCK->EVENTS_DONE = 0U;
    NRF_CLOCK->TASKS_CAL = 1U;
    while (NRF_CLOCK->EVENTS_DONE == 0U);
    
    nrf_delay_ms(500);                                     // wait for ASIC    
        
    spi_master_init();
    nrf_gpio_cfg_output(30);              // if pin30 is not set output and set1/clear0,spi sck is not right
    //nrf_gpio_pin_clear(30);
    last_valid_cmd[0] = 0;
    
    while (1)
    {
        mcu_asic_regs_read(26, 3, last_valid_cmd);
        nrf_delay_ms(10);

    }
}

        /*NRF_CLOCK->TASKS_HFCLKSTOP = 1U;
        NRF_POWER->TASKS_LOWPWR = 1;
        __SEV();
        __WFE();
        __WFE();*/